commit 512b0ffab3bc4f334cbb36c598192c1da2abe330
Author: Andre Vieira <andre.simoesdiasvieira@arm.com>
Date:   Thu Apr 16 10:16:07 2020 +0100

    aarch64: Add early clobber for aarch64_store_exclusive.
    
    gcc/ChangeLog:
    2020-04-16  Andre Vieira  <andre.simoesdiasvieira@arm.com>
    
            Backport from mainline.
            2018-07-16  Ramana Radhakrishnan  <ramana.radhakrishnan@arm.com>
    
            * config/aarch64/atomics.md (aarch64_store_execlusive<mode>): Add
            early clobber.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 2d410b25d3f..446a5a8f759 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,11 @@
+2020-04-16  Andre Vieira  <andre.simoesdiasvieira@arm.com>
+
+	Backport from mainline.
+	2018-07-16  Ramana Radhakrishnan  <ramana.radhakrishnan@arm.com>
+
+	* config/aarch64/atomics.md (aarch64_store_execlusive<mode>): Add
+	early clobber.
+
 2020-04-21  Martin Jambor  <mjambor@suse.cz>
 
 	Backport from master
@@ -40,6 +48,7 @@
 	* config/i386/i386.c (rest_of_insert_endbranch): Insert ENDBR at
 	function entry if function will be called indirectly.
 
+
 2020-04-15  Uroš Bizjak  <ubizjak@gmail.com>
 
 	PR target/94603
